package com.gh.gamecenter.energy.provider

import android.content.Context
import android.os.Bundle
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IEntranceUtilsProvider
import com.gh.gamecenter.core.utils.ToastUtils

@Route(path = RouteConsts.provider.entranceUtils, name = "EntranceUtils暴露服务")
class EntranceUtilsProviderImpl : IEntranceUtilsProvider {
    override fun jumpActivity(context: Context, bundle: Bundle) {
        ToastUtils.toast("调用->EntranceUtilsProviderImpl.jumpActivity")
    }

    override fun saveShortcut(activityName: String, bundle: Bundle?) {
        // Do nothing
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}